<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'leadership_bonus',

    /*
     * Modules.
     */
    'modules'   => ['leadership_bonus'],

    
    'leadership_bonus'       => [
        'model' => [
            'model'                 => \Litecms\LeadershipBonus\Models\LeadershipBonus::class,
            'table'                 => 'leadership_bonuses',
            'presenter'             => \Litecms\LeadershipBonus\Repositories\Presenter\LeadershipBonusPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['bonus_code',  'deposit_amount',  'bonus_description',  'bonus',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'leadership_bonus/leadership_bonus',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'LeadershipBonus',
            'module'    => 'LeadershipBonus',
        ],

    ],
];
