@extends('resource.index')
@php
$links['create'] = guard_url('leadership_bonus/leadership_bonus/create');
$links['search'] = guard_url('leadership_bonus/leadership_bonus');
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('leadership_bonus::leadership_bonus.title.main') !!}
@stop

@section('sub.title') 
{!! __('leadership_bonus::leadership_bonus.title.list') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('leadership_bonus/leadership_bonus')!!}">{!! __('leadership_bonus::leadership_bonus.name') !!}</a></li>
  <li>{{ __('app.list') }}</li>
@stop

@section('entry') 
<div id="entry-form">

</div>
@stop

@section('list')
    @include('leadership_bonus::leadership_bonus.partial.list.' . $view, ['mode' => 'list'])
@stop

@section('pagination') 
    {!!$leadership_bonuses->links()!!}
@stop

@section('script')

@stop

@section('style')

@stop 
