<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for leadership_bonus in leadership_bonus package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  leadership_bonus module in leadership_bonus package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'LeadershipBonus',
    'names'         => 'LeadershipBonuses',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'LeadershipBonuses',
        'sub'   => 'LeadershipBonuses',
        'list'  => 'List of leadership_bonuses',
        'edit'  => 'Edit leadership_bonus',
        'create'    => 'Create new leadership_bonus'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Active','Inactive'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'bonus_code'                 => 'Please enter bonus code',
        'deposit_amount'             => 'Please enter deposit amount limit',
        'bonus_description'          => 'Please enter bonus description',
        'bonus'                      => 'If you provide bonus to that amount',
        'status'                     => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'bonus_code'                 => 'Bonus Code',
        'deposit_amount'             => 'Deposit Amount Limit',
        'bonus_description'          => 'Bonus Decription',
        'bonus'                      => 'Bonus(%)',
        'status'                     => '',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'bonus_code'                 => ['name' => 'Bonus Code', 'data-column' => 1, 'checked'],
        'deposit_amount'             => ['name' => 'Deposit Amount Limit', 'data-column' => 2, 'checked'],
        'bonus_description'          => ['name' => 'Bonus Decription', 'data-column' => 3, 'checked'],
        'bonus'                      => ['name' => 'Bonus(%)', 'data-column' => 4, 'checked'],
        'status'                     => ['name' => '', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'LeadershipBonuses',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
