<?php

namespace Litecms\LeadershipBonus\Repositories\Eloquent;

use Litecms\LeadershipBonus\Interfaces\LeadershipBonusRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class LeadershipBonusRepository extends BaseRepository implements LeadershipBonusRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.leadership_bonus.leadership_bonus.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.leadership_bonus.leadership_bonus.model.model');
    }
}
